## umplayer-0.97.tar.bz2

=== Makefile ===

PREFIX=/usr/local
#PREFIX=/tmp/umplayer

CONF_PREFIX=$(PREFIX)

DATA_PATH=$(PREFIX)/share/umplayer
DOC_PATH=$(PREFIX)/share/doc/packages/umplayer
TRANSLATION_PATH=$(PREFIX)/share/umplayer/translations
THEMES_PATH=$(PREFIX)/share/umplayer/themes
SHORTCUTS_PATH=$(PREFIX)/share/umplayer/shortcuts

#KDE_PREFIX=`kde-config --prefix`
#KDE_PREFIX=/tmp/umplayer/kde/
KDE_PREFIX=$(PREFIX)

KDE_ICONS=$(KDE_PREFIX)/share/icons/hicolor/
KDE_APPLNK=$(KDE_PREFIX)/share/applications/

QMAKE=qmake
LRELEASE=lrelease

DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" \
     TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
     DOC_PATH=\\\"$(DOC_PATH)\\\" THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
     SHORTCUTS_PATH=\\\"$(SHORTCUTS_PATH)\\\"


ifdef KDE_SUPPORT

# KDE paths, change if necessary

KDE_INCLUDE_PATH=`kde-config --prefix`/include/
KDE_LIB_PATH=`kde-config --prefix`/lib/
KDE_LIBS=-lkio

QMAKE_OPTS=DEFINES+=KDE_SUPPORT INCLUDEPATH+=$(KDE_INCLUDE_PATH) \
           LIBS+="$(KDE_LIBS) -L$(KDE_LIB_PATH)"

endif

src/umplayer:
	./get_svn_revision.sh
	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
	cd src && $(LRELEASE) umplayer.pro

clean:
	cd src && make distclean
	-rm src/translations/umplayer_*.qm

install: src/umplayer
	-install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 src/umplayer $(DESTDIR)$(PREFIX)/bin/
	-install -d $(DESTDIR)$(DATA_PATH)
	install -m 644 src/input.conf $(DESTDIR)$(DATA_PATH)
	-install -d $(DESTDIR)$(TRANSLATION_PATH)
	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
	-install -d $(DESTDIR)$(DOC_PATH)
	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)

	-install -d $(DESTDIR)$(DOC_PATH)
	tar -C docs/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(DOC_PATH) -x -f -

	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)
	-install -d $(DESTDIR)$(THEMES_PATH)
	cp -a src/themes/* $(DESTDIR)$(THEMES_PATH)

	-install -d $(DESTDIR)$(KDE_ICONS)/64x64/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/32x32/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/22x22/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/16x16/apps/
	install -m 644 icons/umplayer_icon64.png $(DESTDIR)$(KDE_ICONS)/64x64/apps/umplayer.png
	install -m 644 icons/umplayer_icon32.png $(DESTDIR)$(KDE_ICONS)/32x32/apps/umplayer.png
	install -m 644 icons/umplayer_icon22.png $(DESTDIR)$(KDE_ICONS)/22x22/apps/umplayer.png
	install -m 644 icons/umplayer_icon16.png $(DESTDIR)$(KDE_ICONS)/16x16/apps/umplayer.png
	-install -d $(DESTDIR)$(KDE_APPLNK)
	install -m 644 umplayer.desktop $(DESTDIR)$(KDE_APPLNK)
	install -m 644 umplayer_enqueue.desktop $(DESTDIR)$(KDE_APPLNK)
	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
	install -m 644 man/umplayer.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	gzip -9 -f $(DESTDIR)$(PREFIX)/share/man/man1/umplayer.1

uninstall:
	-rm -f $(PREFIX)/bin/umplayer
	-rm -f $(DATA_PATH)/input.conf
	-rm -f $(TRANSLATION_PATH)/*.qm
	-rm -f $(DOC_PATH)/Changelog
	-rm -f $(DOC_PATH)/*.txt
	-rm -f $(SHORTCUTS_PATH)/*.keys
	-rm -f $(KDE_ICONS)/64x64/apps/umplayer.png
	-rm -f $(KDE_ICONS)/32x32/apps/umplayer.png
	-rm -f $(KDE_ICONS)/22x22/apps/umplayer.png
	-rm -f $(KDE_ICONS)/16x16/apps/umplayer.png
	-rm -f $(KDE_APPLNK)/umplayer.desktop
	-rm -f $(PREFIX)/share/man/man1/umplayer.1.gz
	-rmdir $(SHORTCUTS_PATH)/
	-rmdir $(TRANSLATION_PATH)/
#	-for file in docs/*/*; do \
#	    rm -f $(DOC_PATH)/$${file/docs/}; \
#	done;
#	-for file in docs/*; do \
#	    rmdir $(DOC_PATH)/$${file/docs/}; \
#	done;
	-(cd docs && find -iname '*.html') | (cd $(DESTDIR)$(DOC_PATH) && xargs rm)
	-(cd docs && find -type d -name '??') | (cd $(DESTDIR)$(DOC_PATH) && xargs rmdir)
	-rmdir $(DOC_PATH)/
	-rmdir $(DATA_PATH)/

=== getrev/Makefile ===
#############################################################################
# Makefile for building: getrev
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri 26. Feb 14:50:39 2010
# Project:  getrev.pro
# Template: app
# Command: e:\Qt\4.6.2-gcc\bin\qmake.exe -win32 -o Makefile getrev.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = e:\Qt\4.6.2-gcc\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: getrev.pro  e:/Qt/4.6.2-gcc/mkspecs/win32-g++/qmake.conf e:/Qt/4.6.2-gcc/mkspecs/qconfig.pri \
		e:/Qt/4.6.2-gcc/mkspecs/features/qt_functions.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/qt_config.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/exclusive_builds.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/default_pre.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/win32/default_pre.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/release.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/debug_and_release.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/default_post.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/win32/default_post.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/win32/console.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/warn_on.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/qt.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/win32/thread.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/moc.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/win32/rtti.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/win32/exceptions.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/win32/stl.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/shared.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/resources.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/uic.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/yacc.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/lex.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/incredibuild_xge.prf \
		e:/Qt/4.6.2-gcc/mkspecs/features/include_source_dir.prf
	$(QMAKE) -win32 -o Makefile getrev.pro
e:\Qt\4.6.2-gcc\mkspecs\qconfig.pri:
e:\Qt\4.6.2-gcc\mkspecs\features\qt_functions.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\qt_config.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\exclusive_builds.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\default_pre.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\win32\default_pre.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\release.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\debug_and_release.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\default_post.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\win32\default_post.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\win32\console.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\warn_on.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\qt.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\win32\thread.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\moc.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\win32\rtti.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\win32\exceptions.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\win32\stl.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\shared.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\resources.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\uic.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\yacc.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\lex.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\incredibuild_xge.prf:
e:\Qt\4.6.2-gcc\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -win32 -o Makefile getrev.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== src/findsubtitles/Makefile ===
#############################################################################
# Makefile for building: findsubtitles
# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon 8. Feb 19:27:33 2010
# Project:  findsubtitles.pro
# Template: app
# Command: e:\Qt\4.6.1-gcc\bin\qmake.exe -win32 -o Makefile findsubtitles.pro
#############################################################################

first: release
install: release-install
uninstall: release-uninstall
MAKEFILE      = Makefile
QMAKE         = e:\Qt\4.6.1-gcc\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		release \
		debug

release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall
debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall

Makefile: findsubtitles.pro  e:/Qt/4.6.1-gcc/mkspecs/default/qmake.conf e:/Qt/4.6.1-gcc/mkspecs/qconfig.pri \
		e:/Qt/4.6.1-gcc/mkspecs/features/qt_functions.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/qt_config.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/exclusive_builds.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/default_pre.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/default_pre.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/release.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/debug_and_release.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/default_post.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/default_post.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/console.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/warn_on.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/qt.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/thread.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/moc.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/rtti.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/exceptions.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/stl.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/shared.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/resources.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/uic.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/yacc.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/lex.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/incredibuild_xge.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/include_source_dir.prf
	$(QMAKE) -win32 -o Makefile findsubtitles.pro
e:\Qt\4.6.1-gcc\mkspecs\qconfig.pri:
e:\Qt\4.6.1-gcc\mkspecs\features\qt_functions.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\qt_config.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\exclusive_builds.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\default_pre.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\default_pre.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\release.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\debug_and_release.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\default_post.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\default_post.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\console.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\warn_on.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\qt.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\thread.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\moc.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\rtti.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\exceptions.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\stl.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\shared.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\resources.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\uic.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\yacc.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\lex.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\incredibuild_xge.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -win32 -o Makefile findsubtitles.pro

qmake_all: FORCE

make_default: release-make_default debug-make_default FORCE
make_first: release-make_first debug-make_first FORCE
all: release-all debug-all FORCE
clean: release-clean debug-clean FORCE
distclean: release-distclean debug-distclean FORCE
	-$(DEL_FILE) Makefile

release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
mocclean: release-mocclean debug-mocclean

release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
mocables: release-mocables debug-mocables
FORCE:

$(MAKEFILE).Release: Makefile
$(MAKEFILE).Debug: Makefile

=== src/findsubtitles/quazip/Makefile ===
#############################################################################
# Makefile for building: quazip
# Generated by qmake (2.01a) (Qt 4.6.1) on: Mon 8. Feb 19:28:03 2010
# Project:  quazip.pro
# Template: lib
# Command: e:\Qt\4.6.1-gcc\bin\qmake.exe -win32 -o Makefile quazip.pro
#############################################################################

first: debug
install: debug-install
uninstall: debug-uninstall
MAKEFILE      = Makefile
QMAKE         = e:\Qt\4.6.1-gcc\bin\qmake.exe
DEL_FILE      = del
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = del
SYMLINK       = 
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
SUBTARGETS    =  \
		debug \
		release

debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: quazip.pro  e:/Qt/4.6.1-gcc/mkspecs/default/qmake.conf e:/Qt/4.6.1-gcc/mkspecs/qconfig.pri \
		e:/Qt/4.6.1-gcc/mkspecs/features/qt_functions.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/qt_config.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/exclusive_builds.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/default_pre.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/default_pre.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/debug.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/debug_and_release.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/default_post.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/default_post.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/warn_on.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/qt.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/thread.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/moc.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/rtti.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/exceptions.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/stl.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/shared.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/dll.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/win32/windows.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/resources.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/uic.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/yacc.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/lex.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/incredibuild_xge.prf \
		e:/Qt/4.6.1-gcc/mkspecs/features/include_source_dir.prf
	$(QMAKE) -win32 -o Makefile quazip.pro
e:\Qt\4.6.1-gcc\mkspecs\qconfig.pri:
e:\Qt\4.6.1-gcc\mkspecs\features\qt_functions.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\qt_config.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\exclusive_builds.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\default_pre.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\default_pre.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\debug.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\debug_and_release.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\default_post.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\default_post.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\warn_on.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\qt.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\thread.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\moc.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\rtti.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\exceptions.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\stl.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\shared.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\dll.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\win32\windows.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\resources.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\uic.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\yacc.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\lex.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\incredibuild_xge.prf:
e:\Qt\4.6.1-gcc\mkspecs\features\include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -win32 -o Makefile quazip.pro

qmake_all: FORCE

make_default: debug-make_default release-make_default FORCE
make_first: debug-make_first release-make_first FORCE
all: debug-all release-all FORCE
clean: debug-clean release-clean FORCE
	-$(DEL_FILE) libquazip.a
distclean: debug-distclean release-distclean FORCE
	-$(DEL_FILE) Makefile

debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
mocclean: debug-mocclean release-mocclean

debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
mocables: debug-mocables release-mocables
FORCE:

$(MAKEFILE).Debug: Makefile
$(MAKEFILE).Release: Makefile

=== debian/changelog ===
umplayer (0.95) unstable; urgency=high

  * debian/compat:
    - Bumped to 7.
  * debian/control:
    - Changed maintainer to team.
    - Build-depend on dh 7, no cdbs.
  * debian/rules, debian/clean:
    - Rewritten to use dh 7.
    - Set DOC_PATH and remove an unneeded upstream file.
  * debian/umplayer.install, debian/umplayer.doc-base:
    - Install upstream docs correctly. (Closes: #557069)
  * Dropped debian/README.source - not using CDBS simple-patchsys anymore.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 21 Nov 2009 14:08:08 +0600

=== debian/control ===
Source: umplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Maia Kozheva <sikon@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>= 4.6.3), zlib1g-dev
Standards-Version: 3.8.3
Homepage: http://umplayer.sourceforge.net/

Package: umplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer-nogui | mplayer
Recommends: umplayer-translations, umplayer-themes
Description: complete front-end for MPlayer
 Qt Mplayer front-end, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of UMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: umplayer-translations
Architecture: all
Depends: ${misc:Depends}, umplayer (>= ${source:Version})
Replaces: umplayer (<< 0.5.62)
Description: complete front-end for MPlayer - translation files
 Qt Mplayer front-end, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of UMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake-qt4 LRELEASE=lrelease-qt4 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/umplayer\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/umplayer
	rm -f debian/tmp/usr/share/doc/umplayer/Copying.txt

%:
	dh $@

=== debian/watch ===
version=3

http://sf.net/umplayer/umplayer-([0-9][^r]*)\.tar\.bz2
